Bug 53309 - rpc.rstatd crashes upon first query
rpc.rstatd crashes upon first query
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rusers (Show other bugs)
7.1
alphaev6 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-06 09:22 EDT by Christopher Penney
Modified: 2015-03-04 20:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-29 11:42:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Penney 2001-09-06 09:22:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-SGI_XFS_1.0.1 i686)

Description of problem:
This bug is exactly like the closed bug 25519 for i386.

I am running RedHat 7.1 on Compaq DS10L boxes (alphaev6 arch).  Whenever I
start rstatd and then query with 'rup localhost' the daemon crashes.  Below
you will find an strace of the running rpc.rstatd process as well as the
contents of /proc/stat and /proc/loadavg.  I upgraded to the rawhide RPM of
rusers/rusers-server (0.17-12) and it still exhibits the same behavior.

poll([{fd=5, events=POLLIN|POLLPRI|POLLRDNORM|POLLRDBAND,
revents=POLLIN|POLLRDNORM}], 1, -1) = 1
recvmsg(5, {msg_name(16)={sin_family=AF_INET, sin_port=htons(893),
sin_addr=inet_addr("127.0.0.1")}},
msg_iov(1)=[{"\7\301P\231\0\0\0\0\0\0\0\2\0\1\206\241\0\0\0\3\0\0\0\1"...,
8800}], msg_controllen=32, msg_control=0x120015968, , msg_flags=0}, 0) = 40
gettimeofday({999782336, 272544}, NULL) = 0
lseek(3, 0, SEEK_SET)                   = 0
read(3, "2121193.78 1893072.53\n", 1023) = 22
open("/proc/loadavg", O_RDONLY)         = 6
lseek(6, 0, SEEK_SET)                   = 0
read(6, "0.07 0.03 0.01 2/42 18948\n", 1023) = 26
open("/proc/stat", O_RDONLY)            = 7
read(7, "cpu  231688758 5479 2207633 1938"..., 1023) = 1023
close(7)                                = 0
--- SIGSEGV (Segmentation fault) ---

Contents of /proc/loadavg:
0.00 0.00 0.00 2/40 18957

Contents of /proc/stat:
cpu  231688914 5479 2207821 1938668267
cpu0 231688914 5479 2207821 1938668267
page 172338 912240
swap 985 3234
intr 2195715541 0 2 0 0 29 0 2 0 2175335567 0 0 0 0 0 2169158 4 0 0 0 0 0 0
0 0 0 0 0 0 0 18205564 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 5215 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 00 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
disk_io: (3,0):(378992,55685,344676,323307,1824480) 
ctxt 20713174
btime 997661143
processes 51402
kstat.input_fastpath: 0
kstat.input_slowpath: 0
kstat.inputqueue_got_packet: 0
kstat.inputqueue_no_packet: 0
kstat.nr_keepalive_optimized: 0
kstat.parse_static_incomplete: 0
kstat.parse_static_redirect: 0
kstat.parse_static_cachemiss: 0
kstat.parse_static_nooutput: 0
kstat.parse_static_normal: 0
kstat.parse_dynamic_incomplete: 0
kstat.parse_dynamic_redirect: 0
kstat.parse_dynamic_cachemiss: 0
kstat.parse_dynamic_nooutput: 0
kstat.parse_dynamic_normal: 0
kstat.complete_parsing: 0
kstat.nr_free_pending: 0
kstat.nr_allocated: 0
kstat.nr_idle_input_pending: 0
kstat.nr_output_space_pending: 0
kstat.nr_input_pending: 0
kstat.nr_cachemiss_pending: 0
kstat.nr_secondary_pending: 0
kstat.nr_output_pending: 0
kstat.nr_redirect_pending: 0
kstat.nr_finish_pending: 0
kstat.nr_userspace_pending: 0
kstat.nr_postpone_pending: 0
kstat.static_lookup_cachemisses: 0
kstat.static_sendfile_cachemisses: 0
kstat.user_lookup_cachemisses: 0
kstat.user_fetch_cachemisses: 0
kstat.user_sendobject_cachemisses: 0
kstat.user_sendobject_write_misses: 0
kstat.nr_keepalive_reqs: 0
kstat.nr_nonkeepalive_reqs: 0
keephist: 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
[root@node0 /root]# /etc/rc.d/init.d/rstatd start 
Starting rstat services:                                   [  OK  ]
[root@node0 /root]# /etc/rc.d/init.d/rstatd status
rpc.rstatd (pid 18975) is running...
[root@node0 /root]# rup localhost
rup: localhost: RPC: Unable to receive; errno = Connection refused

[root@node0 /root]# /etc/rc.d/init.d/rstatd status
rpc.rstatd is stopped


Actual Results:  [root@node0 /root]# /etc/rc.d/init.d/rstatd status
rpc.rstatd is stopped


Expected Results:  [root@node0 /root]# /etc/rc.d/init.d/rstatd status
rpc.rstatd (pid 18975) is running...


Additional info:

As noted in the description, this looks to be a dup of the closed bug
25519.
Comment 1 Phil Knirsch 2002-01-23 10:10:20 EST
Found the problem and fixed it. Will appear real soon in rawhide as

  rusers-0.17-14

Read ya, Phil

PS: Fixes a couple of other problems as well.

Note You need to log in before you can comment on or make changes to this bug.